DRM_CRTC_HELPER_SET_(9)

NAME
drm_crtc_helper_set_config - set a new config from userspace

SYNOPSIS

int drm_crtc_helper_set_config(struct drm_mode_set * set);

ARGUMENTS

set
    mode set configuration

DESCRIPTION

Setup a new configuration, provided by the upper layers (either an ioctl call from userspace or internally e.g. from the fbdev support code) in set, and enable it. This is the main helper functions for drivers that implement kernel mode setting with the crtc helper functions and the assorted ->prepare, ->modeset and ->commit helper callbacks.

RETURNS

Returns 0 on success, negative errno numbers on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT